/*
 * Copyright (c) 2020-2040, 北京符节科技有限公司 (support@fujieid.com & https://www.fujieid.com).
 * <p>
 * Licensed under the GNU LESSER GENERAL PUBLIC LICENSE 3.0;
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.gnu.org/licenses/lgpl.html
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * OAuth is a standard protocol that allows users to authorize APIs to access the web and desktop or mobile applications.
 * <p>
 * Once access is granted, the authorized application can use the API on behalf of the user.
 * <p>
 * OAuth has also become a popular delegation authentication mechanism.
 * <p>
 * Based on OAuth 2.0 protocol (rfc6749), Jap implements OAuth 2.0 server and OAuth 2.0 client,
 * which can dock with any platform supporting OAuth 2.0 standard protocol
 *
 * @author yadong.zhang (yadong.zhang0415(a)gmail.com)
 * @version 1.0.0
 * @see <a href="https://tools.ietf.org/html/rfc6749" target="_blank">https://tools.ietf.org/html/rfc6749</a>
 * @since 1.0.0
 */
package com.fujieid.jap.oauth2;
